<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PhonePrefType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgPhonePrefType extends AbstractStructBase
{
    /**
     * The Telephone
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgTelephone
     */
    public $Telephone;
    /**
     * Constructor method for PhonePrefType
     * @uses DgPhonePrefType::setTelephone()
     * @param \dgsoft\StructType\DgTelephone $telephone
     */
    public function __construct(\dgsoft\StructType\DgTelephone $telephone = null)
    {
        $this
            ->setTelephone($telephone);
    }
    /**
     * Get Telephone value
     * @return \dgsoft\StructType\DgTelephone|null
     */
    public function getTelephone()
    {
        return $this->Telephone;
    }
    /**
     * Set Telephone value
     * @param \dgsoft\StructType\DgTelephone $telephone
     * @return \dgsoft\StructType\DgPhonePrefType
     */
    public function setTelephone(\dgsoft\StructType\DgTelephone $telephone = null)
    {
        $this->Telephone = $telephone;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgPhonePrefType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
